package cn.yw.video.videoalarm.dao;

import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("ywvideotaskrunresulthistoryDao")
public class YwvideotaskrunresulthistoryDao  extends BaseSqlMapDAO{


	/**
	 * 增加记录
	 */
	/*
	public void insert_Ywvideotaskrunresulthistory(Map map) throws SQLException{
		this.insert("insert_Ywvideotaskrunresulthistory",map);
	}
	*/
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywvideotaskrunresulthistory(List batch) throws SQLException{
		this.insert("batch_insert_Ywvideotaskrunresulthistory",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Ywvideotaskrunresulthistory(Map map) throws SQLException{
		return this.update("update_Ywvideotaskrunresulthistory",map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Ywvideotaskrunresulthistory(Map map) throws SQLException{
		return this.delete("delete_Ywvideotaskrunresulthistory",map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Ywvideotaskrunresulthistory(Map map) throws SQLException{
		return this.delete("batch_delete_Ywvideotaskrunresulthistory",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywvideotaskrunresulthistory(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywvideotaskrunresulthistory",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywvideotaskrunresulthistory(Map map) throws SQLException{
		return this.queryForPage("query_Ywvideotaskrunresulthistory",map);
	}
	public List<Map> query_YwvideotaskNoTaskVideo(Map map) throws SQLException{
		return this.queryForPage("query_YwvideotaskNoTaskVideo",map);
	}
	public Integer count_YwvideotaskNoTaskVideo(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_YwvideotaskNoTaskVideo",map);
	}


	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Ywvideotaskrunresulthistory(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywvideotaskrunresulthistory",map);
	}
	*/
}
